org.gradle.nativebinaries.toolchain

## Interface Gcc

- All Superinterfaces:
    Named, PlatformConfigurableToolChain, ToolChain

      @Incubating
      public interface Gcc
      extends PlatformConfigurableToolChain

  The GNU GCC tool chain.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GccTool` | `getAssembler()` The assembler.
    `GccTool` | `getCCompiler()` The C++ compiler.
    `GccTool` | `getCppCompiler()` The C compiler.
    `GccTool` | `getLinker()` The linker.
    `List<File>` | `getPath()` The paths setting required for executing the tool chain.
    `GccTool` | `getStaticLibArchiver()` The static library archiver.
    `void` | `path(Object... pathEntries)` Append an entry or entries to the tool chain path.

    - ### Methods inherited from interface org.gradle.nativebinaries.toolchain.PlatformConfigurableToolChain

      `addPlatformConfiguration`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getPath

          List<File> getPath()

      The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

    - #### path

          void path(Object... pathEntries)

      Append an entry or entries to the tool chain path.
      Parameters:
        `pathEntries` - The path values to append. These are evaluated as per `Project.files(Object...)`

    - #### getCCompiler

          GccTool getCCompiler()

      The C++ compiler.

    - #### getCppCompiler

          GccTool getCppCompiler()

      The C compiler.

    - #### getAssembler

          GccTool getAssembler()

      The assembler.

    - #### getLinker

          GccTool getLinker()

      The linker.

    - #### getStaticLibArchiver

          GccTool getStaticLibArchiver()

      The static library archiver.